For the complete documentation index, see llms-docs.txt or the site index llms.txt. Full docs corpus: llms-full-docs.txt. Prefer the markdown version of this page at /docs/api/upload/post-api-upload-v1upload.md. Product capabilities: skill.md. Docs MCP: /docs/mcp. Site MCP: /mcp.
Upload an image file
POST
/api/upload/v1/upload
1const response = await fetch("https://reloop.sh/api/upload/v1/upload", {2 method: "POST",3 headers: {4 "Authorization": "Bearer re_123456789",5 },6});7
8const data = await response.json();1{2 "id": "con_123456789",3 "filename": "example_filename",4 "originalName": "example_originalName",5 "mimeType": "example_mimeType",6 "size": 0,7 "path": "example_path",8 "url": "example_url",9 "userId": "example_userId",10 "createdAt": "2026-03-23T10:00:00.000Z",11 "updatedAt": "2026-03-23T10:00:00.000Z"12}Was this page helpful?